View Single Post
  #1  
Old 26th April 2010, 05:26
bluegrass bluegrass is offline
Member
 
Join Date: Jan 2006
Location: Pinas
Posts: 51
Thanks: 0
Thanked 1 Time in 1 Post
Send a message via Yahoo to bluegrass
Question Squirrelmail + Change_SQLPass Error: Warning: Cannot modify header information

Hi,

I have been looking for the answer on how to address this error. But unfortunately couldn't find any.

I have a Debian Lenny, and installed using the "Virtual Users And Domains With Postfix, Courier, MySQL And SquirrelMail (Debian Lenny), by Falko"

It was a successful installation and configuration. But at the change_sqlpass plugin, wherein it is not included on the said tutorial, about activating the force_change_password_check_query, I activated this, and changing necessary entries:

Code:
..
$password_update_queries = array('UPDATE users SET password = %4, force_change_pwd = 0 WHERE email = "%1",)
..
$force_change_password_check_query = 'SELECT force_change_pwd FROM users WHERE email = "%1";
//$force_change_password_check_query = "";
I added the "force_change_pwd" field on the users table.

I activated this because I wanted my users to change their passwords upon login in special times.

Necessary changes are successful, but I get this error afterwhich:

Code:
Warning: Cannot modify header information - headers already sent by (output started at /usr/share/squirrelmail/functions/page_header.php:32) in /usr/share/squirrelmail/functions/global.php on line 530

Warning: Cannot modify header information - headers already sent by (output started at /usr/share/squirrelmail/functions/page_header.php:32) in /usr/share/squirrelmail/plugins/change_sqlpass/functions.php on line 943
Does anyone had a solution for this?
Reply With Quote
Sponsored Links